package com.plannaplan.responses.mappers;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import com.plannaplan.entities.Course;
import com.plannaplan.responses.models.GetCoursesResponse;
import com.plannaplan.responses.models.GetCoursesWithGroupsResponse;

public class CoursesResponseMappers {
    public static final List<GetCoursesResponse> mapCoursesListToCoursesResponseList(List<Course> courses) {
        return courses.stream().filter(Objects::nonNull).map(GetCoursesResponse::new).collect(Collectors.toList());
    }

    public static final List<GetCoursesWithGroupsResponse> mapCoursesWithGrtoupsListToCoursesResponseList(
            List<Course> courses) {
        return courses.stream().filter(Objects::nonNull).map(GetCoursesWithGroupsResponse::new)
                .collect(Collectors.toList());
    }
}
